Subject: RE: draft-davari-pwe3-aal12-over-psn-01

From: Sasha Vainshtein <[email-masked]>
Date: Tue, 11 Mar 2003 10:24:21 +0200

Yaakov and all,
Please see some comments inline.

With best regards,
                                   Sasha Vainshtein
email:     [email-masked] <mailto:[email-masked]> 
tel:       +972-3-7659993 (office)
           +972-8-9254948 (res.)
           +972-58-674833 (cell.)

> -----Original Message-----
> From: Yaakov Stein [mailto:[email-masked]]
> Sent: Tuesday, March 11, 2003 8:58 AM
> To: Sasha Vainshtein; Shahram Davari
> Cc: [email-masked]
> Subject: RE: [PWE3] draft-davari-pwe3-aal12-over-psn-01
> 
> 
> 
> Sasha and Shahram, 
<
... snipped ...
> 
> There are two options here which can not be used together.
> If Shahram did not explicitly say so, what he meant is that
> packets with L bit set, can delete their payload.
>
Sorry, I do not understand. Which two options do you mean?
And, IMO, Shahram's text is quite clear (even if problematic) so
that there is no need to guess what he meant.
... snipped ...
> 
> I am not sure how you reached the conclusion that the receiver
> does not interpolate lost packets.
>
The following is quoted from the Intro section of draft-davari:

<quote>
This document describes methods for transporting AAL1 over IP/MPLS 
networks, using the ATM transport modes described in [ATM-encap] 
without introducing any new protocol. 
<end quote>

Please note the key words "without introducing any new protocol"!
The rest is simple: AFAIK, [ATM-ENCAP] does not define any 
interpolation of lost packets in any of its modes. 
... snipped ...
> If you are interested in what the receiver should do,
> take a look at draft-anavi-tdmoip-05.
>
AFAIK, draft-anavi does not discuss treatment of OAM/RM cells.
But [ATM-ENCAP] and, by implication, draft-davari define such
treatment in detail. As a consequence neither the cell transport 
modes nor  the PDU mode defined in [ATM-ENCAP] and referenced 
in draft-davari can guarantee a fixed number of  cells per packet due to 
the [ATM-ENCAP] requirement to send OAM/RM cells "in order" 
and in separate packets. IMO, this makes [ATM-ENCAP]-compatible 
"interpolation for lost packets" somewhat problematic - unless 
you always send a single cell per packet.
Did I miss something?
... snipped to the end ...